#ifndef UPDATERDIALOG_H
#define UPDATERDIALOG_H

#include <LoQClass/loqdialog.h>
#include <QSimpleUpdater.h>

namespace Ui {
class UpdaterDialog;
}

class UpdaterDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit UpdaterDialog(QWidget *parent = nullptr);
    ~UpdaterDialog();

private:
    Ui::UpdaterDialog *ui;
    QSimpleUpdater *m_updater;

protected slots:
    void OnCheckForUpdates() ;
    void updateChangelog(QString);
};

#endif // UPDATERDIALOG_H
